Skip to main content
POST
/
v1
/
namespace
/
{id}
/
drop
Error
A valid request URL is required to generate request examples
{
  "properties": {},
  "transaction_id": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json
identity
object

Identity information of a request.

context
object

Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.

REST NAMESPACE ONLY Context entries are passed via HTTP headers using the naming convention x-lance-ctx-<key>: <value>. For example, a context entry {"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.

id
string[]
mode
string

The mode for dropping a namespace, deciding the server behavior when the namespace to drop is not found. Case insensitive, supports both PascalCase and snake_case. Valid values are:

  • Fail (default): the server must return 400 indicating the namespace to drop does not exist.
  • Skip: the server must return 204 indicating the drop operation has succeeded.
behavior
string

The behavior for dropping a namespace. Case insensitive, supports both PascalCase and snake_case. Valid values are:

  • Restrict (default): the namespace should not contain any table or child namespace when drop is initiated. If tables are found, the server should return error and not drop the namespace.
  • Cascade: all tables and child namespaces in the namespace are dropped before the namespace is dropped.

Response

Result of dropping a namespace

properties
object

If the implementation does not support namespace properties, it should return null for this field. Otherwise it should return the properties.

transaction_id
string[]

If present, indicating the operation is long running and should be tracked using DescribeTransaction